dbXML API

## com.dbxml.util
Class Stopwatch

    java.lang.Object
      com.dbxml.util.Stopwatch

public final class Stopwatch
extends java.lang.Object

Stopwatch is a debugging tool for manually profiling code execution. This class will probably be removed for a production release.

Constructor Summary
`Stopwatch()`
`Stopwatch(boolean immediate)`
`Stopwatch(java.lang.String label)`
`Stopwatch(java.lang.String label, boolean immediate)`

Method Summary
`void` `cancel()`
`long` `elapsed()`
`void` `reset()`
`void` `start()`
`long` `stop()`
`java.lang.String` `toString()`
`java.lang.String` `toString(long t)`
`long` `total()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stopwatch

    public Stopwatch()

### Stopwatch

    public Stopwatch(boolean immediate)

### Stopwatch

    public Stopwatch(java.lang.String label)

### Stopwatch

    public Stopwatch(java.lang.String label,
                     boolean immediate)

Method Detail

### start

    public void start()

### stop

    public long stop()

### cancel

    public void cancel()

### reset

    public void reset()

### elapsed

    public long elapsed()

### total

    public long total()

### toString

    public java.lang.String toString()

### toString

    public java.lang.String toString(long t)

dbXML API

Copyright (c) 2004 The dbXML Group